Skip to main content
GET
List Job Application Stages

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Headers

x-account-id
string
required

The account identifier

Prefer
string

Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)

Example:

"heartbeat"

Path Parameters

id
string
required

Query Parameters

raw
boolean | null

Indicates that the raw request result should be returned in addition to the mapped result (default value is false)

proxy
object | null

Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key

fields
string | null

The comma separated list of fields that will be returned in the response (if empty, all fields are returned)

Example:

"id,remote_id,name,order,created_at,updated_at,unified_custom_fields"

filter
object | null

Filter parameters that allow greater customisation of the list response

page
string | null

The page number of the results to fetch

page_size
string | null

The number of results per page (default value is 25)

next
string | null

The unified cursor

updated_after
string<date-time> | null

Use a string with a date to only select results updated after that given date

Example:

"2020-01-01T00:00:00.000Z"

sync_token
string | null

The sync token to select the only updated results

Response

A list of all application stages that have been configured for the specified job.

data
object[]
required
next_page
string | null
deprecated
next
string | null
raw
object[] | null